let answers = {};
const buttons = document.querySelectorAll('.answer');
for (const button of buttons) {
  button.addEventListener('click', function (event) {
    logIt(event);
    nextQuestion(event);
  });
}
function logIt(event) {
  if (event.target.parentNode.id === 'end') {
    window.location = 'https://google.com';
    return;
  }
  answers[event.target.parentNode.id] = event.target.innerText;
}
function nextQuestion(event) {
  document.querySelector(`#${event.target.parentNode.id}`).style.display = 'none';
  if (event.target.parentNode.id === 'q3') {
    document.querySelector('#end').style.display = 'block';
    const qs = Object.keys(answers)
      .map((key) => `${encodeURIComponent(key)}=${encodeURIComponent(answers[key])}`)
      .join('&');
    fetch(`https://script.google.com/macros/s/AKfycbwmu4Zx72Tb4465465GNtrizd1VnEiJshAiG3cB0bJw-gL6VzDv60sguhuNy-G4-LScg/exec?${qs}`);
    return;
  } else if (event.target.parentNode.id === 'end') {
    return;
  }
  document.querySelector(`#q${Number(event.target.parentNode.id[1]) + 1}`).style.display = 'block';
}
